Firefly开源社区

ROC-RK3328-CC 在ubuntu18.04下如何安装appstream

19

积分

0

威望

0

贡献

技术小白

积分
19
发表于 2020-7-21 09:54:21     
板子需要安装 一个AppImage文件,查了文档,需要appstream才能安装,查下网上教程,下载了appstream_0.9.4-1ubuntu1_arm64.deb  libappstream3_0.9.4-1ubuntu1_arm64.deb,修改运行权限后,并执行:sudo dpkg -i appstream_0.9.4-1ubuntu1_arm64.deb  libappstream3_0.9.4-1ubuntu1_arm64.deb
提示如下:

(Reading database ... 123090 files and directories currently installed.)
Preparing to unpack appstream_0.9.4-1ubuntu1_arm64.deb ...
Unpacking appstream (0.9.4-1ubuntu1) over (0.9.4-1ubuntu1) ...
Preparing to unpack libappstream3_0.9.4-1ubuntu1_arm64.deb ...
Unpacking libappstream3:arm64 (0.9.4-1ubuntu1) over (0.9.4-1ubuntu1) ...
dpkg: dependency problems prevent configuration of appstream:
appstream depends on libglib2.0-0 (>= 2.46); however:
  Package libglib2.0-0:arm64 is not configured yet.

dpkg: error processing package appstream (--install):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libappstream3:arm64:
libappstream3:arm64 depends on libglib2.0-0 (>= 2.46); however:
  Package libglib2.0-0:arm64 is not configured yet.
libappstream3:arm64 depends on libprotobuf-lite9v5; however:
  Package libprotobuf-lite9v5 is not installed.
libappstream3:arm64 depends on libxapian22v5; however:
  Package libxapian22v5 is not installed.
libappstream3:arm64 depends on libxml2 (>= 2.7.4); however:
  Package libxml2:arm64 is not configured yet.

dpkg: error processing package libappstream3:arm64 (--install):
dependency problems - leaving unconfigured
Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
Processing triggers for libc-bin (2.27-3ubuntu1.2) ...
Errors were encountered while processing:
appstream
libappstream3:arm64
还请老师指点下要如何处理!!(SD卡刷好系统,已经有先运行了unminimize)
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

友情链接 : 爱板网 电子发烧友论坛 云汉电子社区 粤ICP备14022046号-2
快速回复 返回顶部 返回列表